(* $Id: sarray.mli,v 1.1 2010-07-23 15:00:31 deraugla Exp $ *)

type t 'a = 'abstract;

value empty : t 'a;
value make : int -> 'a -> t 'a;
value init : int -> (int -> 'a) -> t 'a;
value length : t 'a -> int;
value get : t 'a -> int -> 'a;
value set : t 'a -> int -> 'a -> unit;
value sub : t 'a -> int -> int -> t 'a;
value to_list : t 'a -> list 'a;
value of_list : list 'a -> t 'a;
value append : t 'a -> t 'a -> t 'a;
